aboutsummaryrefslogtreecommitdiff
path: root/scripts/vnc-extend.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/vnc-extend.sh')
-rwxr-xr-xscripts/vnc-extend.sh41
1 files changed, 41 insertions, 0 deletions
diff --git a/scripts/vnc-extend.sh b/scripts/vnc-extend.sh
new file mode 100755
index 0000000..6004958
--- /dev/null
+++ b/scripts/vnc-extend.sh
@@ -0,0 +1,41 @@
+#!/usr/bin/env bash
+
+set -euo pipefail
+
+DISPLAY=:0
+
+x11vnc \
+ -display :0 \
+ -auth /run/user/1000/lyxauth \
+ -clip 1366x768+1920+0 \
+ -viewonly \
+ -noshm \
+ -noxdamage \
+ -nowf \
+ -forever \
+ -shared \
+ -rfbauth "$HOME/.config/vnc/passwd"
+
+# x11vnc \
+# -display :0 \
+# -auth /run/user/1000/lyxauth \
+# -clip 1366x768+1920+0 \
+# -xwarppointer \
+# -noshm \
+# -noxdamage \
+# -forever \
+# -shared \
+# -rfbauth "$HOME/.config/vnc/passwd" \
+# -debug_pointer
+
+# x11vnc \
+# -display :0 \
+# -auth /run/user/1000/lyxauth \
+# -clip 1366x768+1920+0 \
+# -noshm \
+# -noxdamage \
+# -nowf \
+# -forever \
+# -shared \
+# -rfbauth "$HOME/.config/vnc/passwd" \
+# -debug_pointer